Subject: [PATCH] ARM: dts: imx6: Add support for Logic PD SOM and Baseboard

From: [email-masked] (Shawn Guo)
Date: Sat, 5 Nov 2016 15:00:45 +0800

On Fri, Nov 04, 2016 at 12:44:21PM -0500, Adam Ford wrote:
> >> +&iomuxc {
> >> +     imx6qdl-logicpd-baseboard {
> >> +
> >
> > Drop this container node and put the following pinctrl nodes directly
> > under &iomuxc.
> >
> 
> Like the regulators above, if I remove this connector, the system
> won't boot.  I compared both the regulator and the iomuxc containers
> in this device tree with other imx6q boards, and I seem to be
> consistent with what other boards are doing.

You might want to rebase the patch to latest mainline like v4.9-rc3 and
test first.

Shawn